version: "3"
services:
  database:
    image: mysql:8
    networks:
      - lolstat
    environment:
      - MYSQL_ROOT_PASSWORD=root
      - MYSQL_DATABASE=lolstat

  app:
    build: .
    ports:
      - "8080:8080"
    networks:
      - lolstat
    depends_on:
      - database
    command: "mvn clean spring-boot:run"

networks:
  lolstat:
